BrushCmd(3U)

NAME
BrushCmd - command for setting components' brush attribute

SYNOPSIS
#include <Unidraw/Commands/brushcmd.h>

DESCRIPTION
BrushCmd is a purely interpretive command for setting the brush attribute of selected components.

PUBLIC OPERATIONS

BrushCmd(ControlInfo*, PSBrush* = nil)

BrushCmd(Editor* = nil, PSBrush* = nil)
    Create a BrushCmd, optionally specifying the PSBrush that components should adopt.

virtual void Execute()
    BrushCmd extends Execute to set the value of the affected editor's BrushVar instance, if it defines one.

PSBrush* GetBrush()
    Return the PSBrush supplied in the constructor.

SEE ALSO
Command(3U), pspaint(3U), statevars(3U)